Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## info.bioinfweb.treegraph.document.io.nexus
Enum NexusError

    java.lang.Object
      java.lang.Enum<NexusError>
          info.bioinfweb.treegraph.document.io.nexus.NexusError

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<NexusError>

    public enum NexusError

extends java.lang.Enum<NexusError>

Enum Constant Summary
`NO_NEXUS`
`NO_TREES`
`TREES_UNTERMINATED`
`UNKNOWN`

Method Summary
`static NexusError` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static NexusError[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNKNOWN

    public static final NexusError UNKNOWN

### NO_NEXUS

    public static final NexusError NO_NEXUS

### NO_TREES

    public static final NexusError NO_TREES

### TREES_UNTERMINATED

    public static final NexusError TREES_UNTERMINATED

Method Detail

### values

    public static NexusError[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NexusError c : NexusError.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NexusError valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD